WebGL使用requirejs的问题

0 投票

使用产品:SuperMap_iClient3D_10i(2020)_sp2_for_WebGL

1、日志模块

2、地形模块

地形模块中引用了日志模块,但现在被复写指向Cesium.js中的一个方法

在github上cesium的源代码中没有找到相应代码,猜测是超图扩展的。

总结:

此问题怎么导致的没有搞明白,想了解目前有没有解决方案。

我们项目因为涉及到的功能比较到,所以需要模块化开发。

5月 14 分类:  50次浏览 | 用户: chelcf 才疏学浅 (19 分)
重新分类 5月 14 用户:张定祥

1个回答

0 投票
您好,WebGL目前暂不支持模块化引入
5月 14 用户: 卷饼先生 名扬四海 (3,842 分)
你们以前的版本都支持啊,Cesium.VERSION是"1.54"

我们现无法升级到新的WebGL版本

我直接使用<script src="Cesium.js"></script>引入,这样也会影响我们模块化加载。
这样引入是可以的,为什么无法升级到新的WebGL版本?
...